Package ghidra.program.model.lang

# Interface LanguageDescription

All Known Implementing Classes:
  `BasicLanguageDescription`, `SleighLanguageDescription`

public interface LanguageDescription

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Collection<CompilerSpecDescription>`
  `getCompatibleCompilerSpecDescriptions()`
  `CompilerSpecDescription`
  `getCompilerSpecDescriptionByID(CompilerSpecID compilerSpecID)`
  `String`
  `getDescription()`
  `Endian`
  `getEndian()`
  `List<String>`
  `getExternalNames(String externalTool)`
  Returns external names for this language associated with other tools.
  `Endian`
  `getInstructionEndian()`
  `LanguageID`
  `getLanguageID()`
  `int`
  `getMinorVersion()`
  `Processor`
  `getProcessor()`
  `int`
  `getSize()`
  `String`
  `getVariant()`
  `int`
  `getVersion()`
  `boolean`
  `isDeprecated()`

- ## Method Details

  - ### getLanguageID

    LanguageID getLanguageID()

  - ### getProcessor

    Processor getProcessor()

  - ### getEndian

    Endian getEndian()

  - ### getInstructionEndian

    Endian getInstructionEndian()

  - ### getSize

    int getSize()

  - ### getVariant

    String getVariant()

  - ### getVersion

    int getVersion()

  - ### getMinorVersion

    int getMinorVersion()

  - ### getDescription

    String getDescription()

  - ### isDeprecated

    boolean isDeprecated()

  - ### getCompatibleCompilerSpecDescriptions

    Collection<CompilerSpecDescription> getCompatibleCompilerSpecDescriptions()

  - ### getCompilerSpecDescriptionByID

    CompilerSpecDescription getCompilerSpecDescriptionByID(CompilerSpecID compilerSpecID) throws CompilerSpecNotFoundException
    Throws:
      `CompilerSpecNotFoundException`

  - ### getExternalNames

    List<String> getExternalNames(String externalTool)
    Returns external names for this language associated with other tools. For example, x86 languages are usually referred to as "metapc" by IDA-PRO. So, getExternalNames("IDA-PRO") will return "metapc" for most x86 languages.
    Parameters:
      `externalTool` - external tool for looking up external tool names
    Returns:
      external names for this language associated with tool 'key' -- null if there are no results